### Method

# FwupdPlugin UdevDevice get_parent_name

since: 1.4.5

#### Declaration [src]

    gchar*
    fu_udev_device_get_parent_name (
      FuUdevDevice* self
    )

#### Description [src]

Returns the name of the direct ancestor of this device.

Available since: 1.4.5

#### Return value

Type: `gchar*`

String or NULL if unset or invalid.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.